<?php
$tdatasalary_summary = array();
$tdatasalary_summary[".searchableFields"] = array();
$tdatasalary_summary[".ShortName"] = "salary_summary";
$tdatasalary_summary[".OwnerID"] = "";
$tdatasalary_summary[".OriginalTable"] = "salary_summary";


$tdatasalary_summary[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list_view\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatasalary_summary[".originalPagesByType"] = $tdatasalary_summary[".pagesByType"];
$tdatasalary_summary[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list_view\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatasalary_summary[".originalPages"] = $tdatasalary_summary[".pages"];
$tdatasalary_summary[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatasalary_summary[".originalDefaultPages"] = $tdatasalary_summary[".defaultPages"];

//	field labels
$fieldLabelssalary_summary = array();
$fieldToolTipssalary_summary = array();
$pageTitlessalary_summary = array();
$placeHolderssalary_summary = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelssalary_summary["English"] = array();
	$fieldToolTipssalary_summary["English"] = array();
	$placeHolderssalary_summary["English"] = array();
	$pageTitlessalary_summary["English"] = array();
	$fieldLabelssalary_summary["English"]["id"] = "Id";
	$fieldToolTipssalary_summary["English"]["id"] = "";
	$placeHolderssalary_summary["English"]["id"] = "";
	$fieldLabelssalary_summary["English"]["emp_no"] = "Emp No";
	$fieldToolTipssalary_summary["English"]["emp_no"] = "";
	$placeHolderssalary_summary["English"]["emp_no"] = "";
	$fieldLabelssalary_summary["English"]["employer_name"] = "Employer Name";
	$fieldToolTipssalary_summary["English"]["employer_name"] = "";
	$placeHolderssalary_summary["English"]["employer_name"] = "";
	$fieldLabelssalary_summary["English"]["basic"] = "Basic";
	$fieldToolTipssalary_summary["English"]["basic"] = "";
	$placeHolderssalary_summary["English"]["basic"] = "";
	$fieldLabelssalary_summary["English"]["over_time_allowance"] = "Over Time Allowance";
	$fieldToolTipssalary_summary["English"]["over_time_allowance"] = "";
	$placeHolderssalary_summary["English"]["over_time_allowance"] = "";
	$fieldLabelssalary_summary["English"]["meal_allowance"] = "Meal Allowance";
	$fieldToolTipssalary_summary["English"]["meal_allowance"] = "";
	$placeHolderssalary_summary["English"]["meal_allowance"] = "";
	$fieldLabelssalary_summary["English"]["special_allowance_1"] = "Special Allowance 1";
	$fieldToolTipssalary_summary["English"]["special_allowance_1"] = "";
	$placeHolderssalary_summary["English"]["special_allowance_1"] = "";
	$fieldLabelssalary_summary["English"]["budgetary_relief_allowance"] = "Budgetary Relief Allowance";
	$fieldToolTipssalary_summary["English"]["budgetary_relief_allowance"] = "";
	$placeHolderssalary_summary["English"]["budgetary_relief_allowance"] = "";
	$fieldLabelssalary_summary["English"]["total_earnings"] = "Total Earnings";
	$fieldToolTipssalary_summary["English"]["total_earnings"] = "";
	$placeHolderssalary_summary["English"]["total_earnings"] = "";
	$fieldLabelssalary_summary["English"]["total_loan_installments"] = "Total Loan Installments";
	$fieldToolTipssalary_summary["English"]["total_loan_installments"] = "";
	$placeHolderssalary_summary["English"]["total_loan_installments"] = "";
	$fieldLabelssalary_summary["English"]["total_salary_advance"] = "Total Salary Advance";
	$fieldToolTipssalary_summary["English"]["total_salary_advance"] = "";
	$placeHolderssalary_summary["English"]["total_salary_advance"] = "";
	$fieldLabelssalary_summary["English"]["e_p_f"] = "E P F";
	$fieldToolTipssalary_summary["English"]["e_p_f"] = "";
	$placeHolderssalary_summary["English"]["e_p_f"] = "";
	$fieldLabelssalary_summary["English"]["net_salary"] = "Net Salary";
	$fieldToolTipssalary_summary["English"]["net_salary"] = "";
	$placeHolderssalary_summary["English"]["net_salary"] = "";
	$fieldLabelssalary_summary["English"]["month"] = "Month";
	$fieldToolTipssalary_summary["English"]["month"] = "";
	$placeHolderssalary_summary["English"]["month"] = "";
	$fieldLabelssalary_summary["English"]["details"] = "Details";
	$fieldToolTipssalary_summary["English"]["details"] = "";
	$placeHolderssalary_summary["English"]["details"] = "";
	$fieldLabelssalary_summary["English"]["salary_list_id"] = "Salary List Id";
	$fieldToolTipssalary_summary["English"]["salary_list_id"] = "";
	$placeHolderssalary_summary["English"]["salary_list_id"] = "";
	$fieldLabelssalary_summary["English"]["date"] = "Date";
	$fieldToolTipssalary_summary["English"]["date"] = "";
	$placeHolderssalary_summary["English"]["date"] = "";
	$fieldLabelssalary_summary["English"]["year"] = "Year";
	$fieldToolTipssalary_summary["English"]["year"] = "";
	$placeHolderssalary_summary["English"]["year"] = "";
	$fieldLabelssalary_summary["English"]["salary_year"] = "Salary Year";
	$fieldToolTipssalary_summary["English"]["salary_year"] = "";
	$placeHolderssalary_summary["English"]["salary_year"] = "";
	$fieldLabelssalary_summary["English"]["total_deduction"] = "Total Deduction";
	$fieldToolTipssalary_summary["English"]["total_deduction"] = "";
	$placeHolderssalary_summary["English"]["total_deduction"] = "";
	$fieldLabelssalary_summary["English"]["olt_let"] = "Olt Let";
	$fieldToolTipssalary_summary["English"]["olt_let"] = "";
	$placeHolderssalary_summary["English"]["olt_let"] = "";
	if (count($fieldToolTipssalary_summary["English"]))
		$tdatasalary_summary[".isUseToolTips"] = true;
}


	$tdatasalary_summary[".NCSearch"] = true;



$tdatasalary_summary[".shortTableName"] = "salary_summary";
$tdatasalary_summary[".nSecOptions"] = 0;

$tdatasalary_summary[".mainTableOwnerID"] = "";
$tdatasalary_summary[".entityType"] = 0;
$tdatasalary_summary[".connId"] = "test2_at_localhost";


$tdatasalary_summary[".strOriginalTableName"] = "salary_summary";

	



$tdatasalary_summary[".showAddInPopup"] = false;

$tdatasalary_summary[".showEditInPopup"] = false;

$tdatasalary_summary[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatasalary_summary[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatasalary_summary[".listAjax"] = false;
//	temporary
$tdatasalary_summary[".listAjax"] = false;

	$tdatasalary_summary[".audit"] = true;

	$tdatasalary_summary[".locking"] = false;


$pages = $tdatasalary_summary[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasalary_summary[".edit"] = true;
	$tdatasalary_summary[".afterEditAction"] = 1;
	$tdatasalary_summary[".closePopupAfterEdit"] = 1;
	$tdatasalary_summary[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasalary_summary[".add"] = true;
$tdatasalary_summary[".afterAddAction"] = 1;
$tdatasalary_summary[".closePopupAfterAdd"] = 1;
$tdatasalary_summary[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasalary_summary[".list"] = true;
}



$tdatasalary_summary[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasalary_summary[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasalary_summary[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasalary_summary[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasalary_summary[".printFriendly"] = true;
}



$tdatasalary_summary[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasalary_summary[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasalary_summary[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasalary_summary[".isUseAjaxSuggest"] = true;

$tdatasalary_summary[".rowHighlite"] = true;



																																																																																																						

$tdatasalary_summary[".ajaxCodeSnippetAdded"] = false;

$tdatasalary_summary[".buttonsAdded"] = false;

$tdatasalary_summary[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasalary_summary[".isUseTimeForSearch"] = false;


$tdatasalary_summary[".badgeColor"] = "dc143c";


$tdatasalary_summary[".allSearchFields"] = array();
$tdatasalary_summary[".filterFields"] = array();
$tdatasalary_summary[".requiredSearchFields"] = array();

$tdatasalary_summary[".googleLikeFields"] = array();
$tdatasalary_summary[".googleLikeFields"][] = "id";
$tdatasalary_summary[".googleLikeFields"][] = "emp_no";
$tdatasalary_summary[".googleLikeFields"][] = "employer_name";
$tdatasalary_summary[".googleLikeFields"][] = "basic";
$tdatasalary_summary[".googleLikeFields"][] = "over_time_allowance";
$tdatasalary_summary[".googleLikeFields"][] = "meal_allowance";
$tdatasalary_summary[".googleLikeFields"][] = "special_allowance_1";
$tdatasalary_summary[".googleLikeFields"][] = "budgetary_relief_allowance";
$tdatasalary_summary[".googleLikeFields"][] = "total_earnings";
$tdatasalary_summary[".googleLikeFields"][] = "total_loan_installments";
$tdatasalary_summary[".googleLikeFields"][] = "total_salary_advance";
$tdatasalary_summary[".googleLikeFields"][] = "e_p_f";
$tdatasalary_summary[".googleLikeFields"][] = "net_salary";
$tdatasalary_summary[".googleLikeFields"][] = "month";
$tdatasalary_summary[".googleLikeFields"][] = "details";
$tdatasalary_summary[".googleLikeFields"][] = "salary_list_id";
$tdatasalary_summary[".googleLikeFields"][] = "date";
$tdatasalary_summary[".googleLikeFields"][] = "year";
$tdatasalary_summary[".googleLikeFields"][] = "salary_year";
$tdatasalary_summary[".googleLikeFields"][] = "total_deduction";
$tdatasalary_summary[".googleLikeFields"][] = "olt_let";



$tdatasalary_summary[".tableType"] = "list";

$tdatasalary_summary[".printerPageOrientation"] = 0;
$tdatasalary_summary[".nPrinterPageScale"] = 100;

$tdatasalary_summary[".nPrinterSplitRecords"] = 40;

$tdatasalary_summary[".geocodingEnabled"] = false;










$tdatasalary_summary[".pageSize"] = 20;

$tdatasalary_summary[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasalary_summary[".strOrderBy"] = $tstrOrderBy;

$tdatasalary_summary[".orderindexes"] = array();


$tdatasalary_summary[".sqlHead"] = "SELECT id,  	emp_no,  	employer_name,  	basic,  	over_time_allowance,  	meal_allowance,  	special_allowance_1,  	budgetary_relief_allowance,  	total_earnings,  	total_loan_installments,  	total_salary_advance,  	e_p_f,  	net_salary,  	`month`,  	details,  	salary_list_id,  	`date`,  	`year`,  	salary_year,  	total_deduction,  	olt_let";
$tdatasalary_summary[".sqlFrom"] = "FROM salary_summary";
$tdatasalary_summary[".sqlWhereExpr"] = "";
$tdatasalary_summary[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasalary_summary[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasalary_summary[".arrGroupsPerPage"] = $arrGPP;

$tdatasalary_summary[".highlightSearchResults"] = true;

$tableKeyssalary_summary = array();
$tableKeyssalary_summary[] = "id";
$tdatasalary_summary[".Keys"] = $tableKeyssalary_summary;


$tdatasalary_summary[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["id"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "id";
//	emp_no
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "emp_no";
	$fdata["GoodName"] = "emp_no";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","emp_no");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "emp_no";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "emp_no";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "salary_slips";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"employer_name", 'lookupF'=>"employer_name");
	$edata["autoCompleteFields"][] = array('masterF'=>"basic", 'lookupF'=>"basic");
	$edata["autoCompleteFields"][] = array('masterF'=>"over_time_allowance", 'lookupF'=>"over_time_allowance");
	$edata["autoCompleteFields"][] = array('masterF'=>"meal_allowance", 'lookupF'=>"meal_allowance");
	$edata["autoCompleteFields"][] = array('masterF'=>"special_allowance_1", 'lookupF'=>"special_allowance_1");
	$edata["autoCompleteFields"][] = array('masterF'=>"budgetary_relief_allowance", 'lookupF'=>"budgetary_relief_allowance");
	$edata["autoCompleteFields"][] = array('masterF'=>"total_earnings", 'lookupF'=>"Total_earnings");
	$edata["autoCompleteFields"][] = array('masterF'=>"total_loan_installments", 'lookupF'=>"Total_loan_installments");
	$edata["autoCompleteFields"][] = array('masterF'=>"total_salary_advance", 'lookupF'=>"Total_salary_advance");
	$edata["autoCompleteFields"][] = array('masterF'=>"e_p_f", 'lookupF'=>"e_p_f");
	$edata["autoCompleteFields"][] = array('masterF'=>"net_salary", 'lookupF'=>"Net_salary");
	$edata["autoCompleteFields"][] = array('masterF'=>"details", 'lookupF'=>"details");
	$edata["autoCompleteFields"][] = array('masterF'=>"year", 'lookupF'=>"year");
	$edata["autoCompleteFields"][] = array('masterF'=>"salary_year", 'lookupF'=>"year");
	$edata["autoCompleteFields"][] = array('masterF'=>"total_deduction", 'lookupF'=>"Total_Deduction");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "emp_no";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "emp_no";

	

	
	$edata["LookupOrderBy"] = "emp_no";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "month", "lookup" => "month" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["emp_no"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "emp_no";
//	employer_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "employer_name";
	$fdata["GoodName"] = "employer_name";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","employer_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "employer_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "employer_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["employer_name"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "employer_name";
//	basic
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "basic";
	$fdata["GoodName"] = "basic";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","basic");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "basic";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "basic";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["basic"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "basic";
//	over_time_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "over_time_allowance";
	$fdata["GoodName"] = "over_time_allowance";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","over_time_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "over_time_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "over_time_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["over_time_allowance"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "over_time_allowance";
//	meal_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "meal_allowance";
	$fdata["GoodName"] = "meal_allowance";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","meal_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "meal_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "meal_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["meal_allowance"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "meal_allowance";
//	special_allowance_1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "special_allowance_1";
	$fdata["GoodName"] = "special_allowance_1";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","special_allowance_1");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "special_allowance_1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "special_allowance_1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["special_allowance_1"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "special_allowance_1";
//	budgetary_relief_allowance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "budgetary_relief_allowance";
	$fdata["GoodName"] = "budgetary_relief_allowance";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","budgetary_relief_allowance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "budgetary_relief_allowance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "budgetary_relief_allowance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["budgetary_relief_allowance"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "budgetary_relief_allowance";
//	total_earnings
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "total_earnings";
	$fdata["GoodName"] = "total_earnings";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","total_earnings");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_earnings";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_earnings";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["total_earnings"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "total_earnings";
//	total_loan_installments
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "total_loan_installments";
	$fdata["GoodName"] = "total_loan_installments";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","total_loan_installments");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_loan_installments";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_loan_installments";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["total_loan_installments"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "total_loan_installments";
//	total_salary_advance
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "total_salary_advance";
	$fdata["GoodName"] = "total_salary_advance";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","total_salary_advance");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_salary_advance";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_salary_advance";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["total_salary_advance"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "total_salary_advance";
//	e_p_f
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "e_p_f";
	$fdata["GoodName"] = "e_p_f";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","e_p_f");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "e_p_f";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "e_p_f";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["e_p_f"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "e_p_f";
//	net_salary
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "net_salary";
	$fdata["GoodName"] = "net_salary";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","net_salary");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "net_salary";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "net_salary";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 3;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["net_salary"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "net_salary";
//	month
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "month";
	$fdata["GoodName"] = "month";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","month");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "month";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`month`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "salary_slips";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "month";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "month";

	

	
	$edata["LookupOrderBy"] = "month";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "year", "lookup" => "year" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "emp_no";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["month"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "month";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["details"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "details";
//	salary_list_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "salary_list_id";
	$fdata["GoodName"] = "salary_list_id";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","salary_list_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "salary_list_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salary_list_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["salary_list_id"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "salary_list_id";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["date"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "date";
//	year
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "year";
	$fdata["GoodName"] = "year";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","year");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "year";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`year`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "salary_slips";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "year";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "year";

	

	
	$edata["LookupOrderBy"] = "year";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "month";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["year"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "year";
//	salary_year
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "salary_year";
	$fdata["GoodName"] = "salary_year";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","salary_year");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "salary_year";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "salary_year";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["salary_year"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "salary_year";
//	total_deduction
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "total_deduction";
	$fdata["GoodName"] = "total_deduction";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","total_deduction");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "total_deduction";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total_deduction";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["total_deduction"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "total_deduction";
//	olt_let
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "olt_let";
	$fdata["GoodName"] = "olt_let";
	$fdata["ownerTable"] = "salary_summary";
	$fdata["Label"] = GetFieldLabel("salary_summary","olt_let");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "olt_let";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "olt_let";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "country";

	

	
	$edata["LookupOrderBy"] = "country";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasalary_summary["olt_let"] = $fdata;
		$tdatasalary_summary[".searchableFields"][] = "olt_let";


$tables_data["salary_summary"]=&$tdatasalary_summary;
$field_labels["salary_summary"] = &$fieldLabelssalary_summary;
$fieldToolTips["salary_summary"] = &$fieldToolTipssalary_summary;
$placeHolders["salary_summary"] = &$placeHolderssalary_summary;
$page_titles["salary_summary"] = &$pageTitlessalary_summary;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["salary_summary"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["salary_summary"] = array();



	
				$strOriginalDetailsTable="salary_list";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="salary_list";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "salary_list";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["salary_summary"][0] = $masterParams;
				$masterTablesData["salary_summary"][0]["masterKeys"] = array();
	$masterTablesData["salary_summary"][0]["masterKeys"][]="id";
				$masterTablesData["salary_summary"][0]["masterKeys"][]="date";
				$masterTablesData["salary_summary"][0]["detailKeys"] = array();
	$masterTablesData["salary_summary"][0]["detailKeys"][]="salary_list_id";
				$masterTablesData["salary_summary"][0]["detailKeys"][]="date";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_salary_summary()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	emp_no,  	employer_name,  	basic,  	over_time_allowance,  	meal_allowance,  	special_allowance_1,  	budgetary_relief_allowance,  	total_earnings,  	total_loan_installments,  	total_salary_advance,  	e_p_f,  	net_salary,  	`month`,  	details,  	salary_list_id,  	`date`,  	`year`,  	salary_year,  	total_deduction,  	olt_let";
$proto0["m_strFrom"] = "FROM salary_summary";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "salary_summary";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "emp_no",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto8["m_sql"] = "emp_no";
$proto8["m_srcTableName"] = "salary_summary";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "employer_name",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto10["m_sql"] = "employer_name";
$proto10["m_srcTableName"] = "salary_summary";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "basic",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto12["m_sql"] = "basic";
$proto12["m_srcTableName"] = "salary_summary";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "over_time_allowance",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto14["m_sql"] = "over_time_allowance";
$proto14["m_srcTableName"] = "salary_summary";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "meal_allowance",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto16["m_sql"] = "meal_allowance";
$proto16["m_srcTableName"] = "salary_summary";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "special_allowance_1",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto18["m_sql"] = "special_allowance_1";
$proto18["m_srcTableName"] = "salary_summary";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "budgetary_relief_allowance",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto20["m_sql"] = "budgetary_relief_allowance";
$proto20["m_srcTableName"] = "salary_summary";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "total_earnings",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto22["m_sql"] = "total_earnings";
$proto22["m_srcTableName"] = "salary_summary";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "total_loan_installments",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto24["m_sql"] = "total_loan_installments";
$proto24["m_srcTableName"] = "salary_summary";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "total_salary_advance",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto26["m_sql"] = "total_salary_advance";
$proto26["m_srcTableName"] = "salary_summary";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "e_p_f",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto28["m_sql"] = "e_p_f";
$proto28["m_srcTableName"] = "salary_summary";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "net_salary",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto30["m_sql"] = "net_salary";
$proto30["m_srcTableName"] = "salary_summary";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "month",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto32["m_sql"] = "`month`";
$proto32["m_srcTableName"] = "salary_summary";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto34["m_sql"] = "details";
$proto34["m_srcTableName"] = "salary_summary";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "salary_list_id",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto36["m_sql"] = "salary_list_id";
$proto36["m_srcTableName"] = "salary_summary";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto38["m_sql"] = "`date`";
$proto38["m_srcTableName"] = "salary_summary";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "year",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto40["m_sql"] = "`year`";
$proto40["m_srcTableName"] = "salary_summary";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "salary_year",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto42["m_sql"] = "salary_year";
$proto42["m_srcTableName"] = "salary_summary";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "total_deduction",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto44["m_sql"] = "total_deduction";
$proto44["m_srcTableName"] = "salary_summary";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
						$proto46=array();
			$obj = new SQLField(array(
	"m_strName" => "olt_let",
	"m_strTable" => "salary_summary",
	"m_srcTableName" => "salary_summary"
));

$proto46["m_sql"] = "olt_let";
$proto46["m_srcTableName"] = "salary_summary";
$proto46["m_expr"]=$obj;
$proto46["m_alias"] = "";
$obj = new SQLFieldListItem($proto46);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto48=array();
$proto48["m_link"] = "SQLL_MAIN";
			$proto49=array();
$proto49["m_strName"] = "salary_summary";
$proto49["m_srcTableName"] = "salary_summary";
$proto49["m_columns"] = array();
$proto49["m_columns"][] = "id";
$proto49["m_columns"][] = "emp_no";
$proto49["m_columns"][] = "employer_name";
$proto49["m_columns"][] = "basic";
$proto49["m_columns"][] = "over_time_allowance";
$proto49["m_columns"][] = "meal_allowance";
$proto49["m_columns"][] = "special_allowance_1";
$proto49["m_columns"][] = "budgetary_relief_allowance";
$proto49["m_columns"][] = "total_earnings";
$proto49["m_columns"][] = "total_loan_installments";
$proto49["m_columns"][] = "total_salary_advance";
$proto49["m_columns"][] = "e_p_f";
$proto49["m_columns"][] = "net_salary";
$proto49["m_columns"][] = "month";
$proto49["m_columns"][] = "details";
$proto49["m_columns"][] = "salary_list_id";
$proto49["m_columns"][] = "date";
$proto49["m_columns"][] = "year";
$proto49["m_columns"][] = "salary_year";
$proto49["m_columns"][] = "total_deduction";
$proto49["m_columns"][] = "olt_let";
$obj = new SQLTable($proto49);

$proto48["m_table"] = $obj;
$proto48["m_sql"] = "salary_summary";
$proto48["m_alias"] = "";
$proto48["m_srcTableName"] = "salary_summary";
$proto50=array();
$proto50["m_sql"] = "";
$proto50["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto50["m_column"]=$obj;
$proto50["m_contained"] = array();
$proto50["m_strCase"] = "";
$proto50["m_havingmode"] = false;
$proto50["m_inBrackets"] = false;
$proto50["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto50);

$proto48["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto48);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="salary_summary";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_salary_summary = createSqlQuery_salary_summary();


	
		;

																					

$tdatasalary_summary[".sqlquery"] = $queryData_salary_summary;



$tableEvents["salary_summary"] = new eventsBase;
$tdatasalary_summary[".hasEvents"] = false;

?>